import { BaseController } from '../base-controller';
import type { ControllerInterface, ResolvedInputProps, StateAccess } from '../generic-types';
import type { ClickButtonApi } from './api';
export declare class ClickButtonController extends BaseController<ClickButtonApi> implements ControllerInterface<ClickButtonApi> {
    constructor(stateAccess: StateAccess<ClickButtonApi>);
    componentWillLoad(props: ResolvedInputProps<ClickButtonApi>): void;
    watchLabel(value?: string): void;
    handleClick: () => void;
}
